Subject: Re: bug#18425: test for new glibc regex bug

From: Jim Meyering <[email-masked]>
Date: Thu, 11 Sep 2014 08:00:16 -0700

On Wed, Sep 10, 2014 at 8:40 PM, Paul Eggert <[email-masked]> wrote:
> Jim Meyering wrote:
>>
>> what about configure's --without-included-regex option?
>> With it, the test may well pass (counted as a failure, here) on
>> systems without glibc.
>
>
> Grep uses the glibc interface for regular expressions, and I expect that
> every current implementation of that interface has the bug, so this
> shouldn't be an issue now (though it would be an issue if the bug is ever
> fixed).
>
> Or were you thinking of glibc 2.2.6 and earlier?  That might not have the
> bug, as it predates the circa-2002 regex rewrite that introduced the bug.  I
> suspect, though, that 2.2.6 regex would fail several other tests.  Are glibc
> versions this old still being used?
>
> (Do users really complain when XFAIL tests succeed instead of failing as
> predicted?  Dumb question, I know; they'll complain about anything....)

That's it. When an XFAIL test passes, the framework counts
it as a failure and requests that a report including test-suite.log
be sent to the bug-reporting address. I have found that it is
almost always worthwhile to invest in avoiding those :-)